# SYSCS_UTIL.SYSCS_GET_XPLAIN_MODE system function

The `SYSCS_UTIL.SYSCS_GET_XPLAIN_MODE` function returns the current xplain mode.

If the xplain mode is non-zero, then statements are not actually executed, but are just compiled, and their statistics recorded in the SYSXPLAIN_* database tables. If the xplain mode is zero (the default), then statements are executed normally.

See "Working with RunTimeStatistics" in the Tuning Java DB for additional information.

#### Syntax

    SYSCS_UTIL.SYSCS_GET_XPLAIN_MODE() RETURNS INTEGER

#### Example

To determine the current value of the XPLAIN mode:

            values syscs_util.syscs_get_xplain_mode();

Parent topic: Built-in system functions